
/* Hamburguer */
.hamburguer-btn {
	background: transparent;
	outline: 0 !important;
	border: none;
	width: 30px;
	height: 30px;
	padding: 0;
	margin: 15px;
	display: inline-block;
	position: relative;
	cursor: pointer;
}

.hamburguer-btn.hamburguer-btn-side-header {
	position: absolute;
	top: 15px;
	right: 8px;
}

.hamburguer-btn.hamburguer-btn-side-header-overlay {
	right: 30px;
	z-index: 9999;
}

.hamburguer-btn .hamburguer {
	pointer-events: none;
}

.hamburguer-btn .hamburguer span {
	position: absolute;
	top: 50%;
	left: 0;
	width: 100%;
	height: 1px;
	transition: ease width 300ms;
	transform: translateY(-50%);
	background: #333;
}

.hamburguer-btn .hamburguer span:nth-child(1) {
	top: 30%;
}

.hamburguer-btn .hamburguer span:nth-child(2) {
	transition-delay: 100ms;
}

.hamburguer-btn .hamburguer span:nth-child(3) {
	top: 70%;
	transition-delay: 200ms;
}

.hamburguer-btn .close {
	opacity: 0;
	pointer-events: none;
	transition: ease all 300ms;
}

.hamburguer-btn .close span {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 0;
	height: 1px;
	background: #333;
	transition: ease all 300ms;
	transform-origin: 50% 0;
}

.hamburguer-btn .close span:nth-child(1) {
	transform: translateX(-50%) rotate(45deg);
}

.hamburguer-btn .close span:nth-child(2) {
	transform: translateX(-50%) rotate(-45deg);
}

.hamburguer-btn.active .hamburguer {
	opacity: 0;
}

.hamburguer-btn.active .hamburguer span {
	width: 0;
}

.hamburguer-btn.active .close {
	opacity: 1;
	transition: ease all 300ms;
}

.hamburguer-btn.active .close span {
	width: 80%;
	transition: ease all 300ms;
}

.hamburguer-btn.active .close span:nth-child(2) {
	transition-delay: 300ms;
}

.hamburguer-btn.hamburguer-btn-light .hamburguer span,
.hamburguer-btn.hamburguer-btn-light .close span {
	background: #FFF;
}

html.overflow-hidden .hamburguer-btn.hamburguer-btn-side-header-overlay {
	right: 13px;
}

/* Hamburguer Sticky Colors */
html.sticky-header-active .hamburguer-btn.hamburguer-btn-sticky-light .hamburguer span,
html.sticky-header-active .hamburguer-btn.hamburguer-btn-sticky-light .close span,
.pin-wrapper .sticky-active:not([class*="sticky-wrapper-effect"]) .hamburguer-btn.hamburguer-btn-sticky-light .hamburguer span,
.pin-wrapper .sticky-active:not([class*="sticky-wrapper-effect"]) .hamburguer-btn.hamburguer-btn-sticky-light .close span,
.pin-wrapper .sticky-effect-active .hamburguer-btn.hamburguer-btn-sticky-light .hamburguer span,
.pin-wrapper .sticky-effect-active .hamburguer-btn.hamburguer-btn-sticky-light .close span {
	background: #FFF;
}

html.sticky-header-active .hamburguer-btn.hamburguer-btn-sticky-dark .hamburguer span,
html.sticky-header-active .hamburguer-btn.hamburguer-btn-sticky-dark .close span,
.pin-wrapper .sticky-active:not([class*="sticky-wrapper-effect"]) .hamburguer-btn.hamburguer-btn-sticky-dark .hamburguer span,
.pin-wrapper .sticky-active:not([class*="sticky-wrapper-effect"]) .hamburguer-btn.hamburguer-btn-sticky-dark .close span,
.pin-wrapper .sticky-effect-active .hamburguer-btn.hamburguer-btn-sticky-dark .hamburguer span,
.pin-wrapper .sticky-effect-active .hamburguer-btn.hamburguer-btn-sticky-dark .close span {
	background: #212529;
}